<template>
  <global-provider>
    <match-container />
  </global-provider>
</template>

<script lang="ts">
import { defineComponent, inject, onMounted } from "vue";
import MatchContainer from "./components/MatchContainer.vue";
import GlobalProvider, { GlobalStateUpdateSymbol } from "./GlobalProvider";

export default defineComponent({
  name: "App",
  components: {
    GlobalProvider,
    MatchContainer,
  },
});
</script>

<style>
:root {
  --common-color: #333333;
  --bg-color-dark: #eeeeee;
  --bg-active-color-dark: #aaaaaa;
  --bg-color-light: #ffffff;
  --border-color: #eeeeee;
  --accent-color-dark: #a0af22;
  --accent-active-color-dark: #7c8a00;
  --accent-color: #d4e157;
  --accent-active-color: #a0af22;
  --reverse-color: #ff6c4b;
  --reverse-active-color: #b42201;
}
body {
  margin: 0;
  padding: 0;
}
#app {
  font-family: Roboto, Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}
</style>
